/* WAV file ôʬΥإåե
 * shige
 * 10/01 2000
 * wavio.h
 * 
 * $Id: wavio.h,v 1.3 2000-11-03 20:00:43+09 shige Exp $
 */
#ifndef __WAVIO_H__
#define __WAVIO_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "chunk.h"
#include "error.h"
#include "fileio.h"

typedef struct {
    short int fmcode;
    short int channel;
    long int smplrate;
    long int bytepersec;
    short int blocksize;
    short int bitpersmpl;
    /* short int extendedsize; */
    long int hlen;
    long int datalen;
} WAVdata;

#define WAV8NULL (0x7f)
#define WAV16NULL (0xfff8)

#ifdef __WAVIO_C__
# define EXTERN_WAVIO 
#else
# define EXTERN_WAVIO extern 
#endif

EXTERN_WAVIO int getWAVheader(FILE *file,WAVdata *wd);
EXTERN_WAVIO int getWAVinfo(FILE *file,WAVdata *wd,Chunk *Ch);
EXTERN_WAVIO int chWAVheader(WAVdata *wd1,WAVdata *wd2);
EXTERN_WAVIO void putallWAVheader(FILE *file,WAVdata *wd,int N);
EXTERN_WAVIO void putallWAVheader2(FILE *file,WAVdata *wd,int N,int len,
				   int addsp);
#endif /* __WAVIO_H__ */
